Bug 44233 - [PATCH] New record 0x5E UncalcedRecord
Summary: [PATCH] New record 0x5E UncalcedRecord
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 3.0-FINAL
Hardware: Other other
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-14 17:36 UTC by Olivier Leprince
Modified: 2008-01-16 05:14 UTC (History)
0 users



Attachments
Patch file (5.75 KB, patch)
2008-01-14 17:37 UTC, Olivier Leprince
Details | Diff
New class UncalcedRecord and new XLS file for testing (1.98 KB, application/x-zip-compressed)
2008-01-14 17:38 UTC, Olivier Leprince
Details
New class UncalcedRecord and new XLS file for testing (4.63 KB, application/x-zip-compressed)
2008-01-15 13:48 UTC, Olivier Leprince
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Leprince 2008-01-14 17:36:09 UTC
If this record occurs in the worksheet Substream, it indicates that the 
formulas have not been recalculated before the document was saved. 
Modifications are :
- Add record
- modification of Sheet to add setUncalced() and getUncalced() method + 
modification of generation
- Propagation in usermodel
Comment 1 Olivier Leprince 2008-01-14 17:37:08 UTC
Created attachment 21392 [details]
Patch file
Comment 2 Olivier Leprince 2008-01-14 17:38:18 UTC
Created attachment 21393 [details]
New class UncalcedRecord and new XLS file for testing
Comment 3 Yegor Kozlov 2008-01-14 23:19:24 UTC
The test XLS is missing. Please attach it.

Regards,
Yegor
Comment 4 Nick Burch 2008-01-15 04:46:36 UTC
This patch looks great, thanks for that

As Yegor said, the xls file used in your test didn't make it into the zip, and a
svn patch never includes binary objects.

Please could you upload the xls file, then we can apply the patch?
Comment 5 Olivier Leprince 2008-01-15 13:47:48 UTC
Comment on attachment 21393 [details]
New class UncalcedRecord and new XLS file for testing

attachment made obsolette, please use other one.
Comment 6 Olivier Leprince 2008-01-15 13:48:49 UTC
Created attachment 21395 [details]
New class UncalcedRecord and new XLS file for testing
Comment 7 Olivier Leprince 2008-01-15 13:50:43 UTC
Sorry for the missing XLS file, it is now repaired. It is my first 
contribution and I am happy to see that you are interested in it !
Comment 8 Nick Burch 2008-01-16 05:14:40 UTC
Thanks for this patch, I've applied it to svn

(Also did a little tweak so that we can detect if it was set when reading a file
back in again, plus tests for that)